org.apache.flume.interceptor

## Class RegexFilteringInterceptor.Constants

- java.lang.Object
- - org.apache.flume.interceptor.RegexFilteringInterceptor.Constants

- Enclosing class:
    RegexFilteringInterceptor

      public static class RegexFilteringInterceptor.Constants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_EXCLUDE_EVENTS`
    `static String` | `DEFAULT_REGEX`
    `static String` | `EXCLUDE_EVENTS`
    `static String` | `REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexFilteringInterceptor.Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REGEX

          public static final String REGEX

      See Also:
        Constant Field Values

    - #### DEFAULT_REGEX

          public static final String DEFAULT_REGEX

      See Also:
        Constant Field Values

    - #### EXCLUDE_EVENTS

          public static final String EXCLUDE_EVENTS

      See Also:
        Constant Field Values

    - #### DEFAULT_EXCLUDE_EVENTS

          public static final boolean DEFAULT_EXCLUDE_EVENTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegexFilteringInterceptor.Constants

          public RegexFilteringInterceptor.Constants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.